## faust2pd-2.9.tar.gz

=== examples/seqdemo/Makefile ===
DLL = .pd_linux
shared = -shared

# Try to guess the host system type and figure out platform specifics.
host = $(shell ../../config.guess)
ifneq "$(findstring -mingw,$(host))" ""
# Windows
DLL = .dll
PDLIB = -Wl,--enable-auto-import -lpd
endif
ifneq "$(findstring -darwin,$(host))" ""
# OSX
DLL = .pd_darwin
shared = -dynamiclib -Wl,-undefined -Wl,dynamic_lookup
endif
ifneq "$(findstring x86_64-,$(host))" ""
# 64 bit, needs -fPIC flag
EXTRA_CFLAGS += -fPIC
endif
ifneq "$(findstring x86,$(host))" ""
# architecture-specific options for x86 and x86_64
EXTRA_CFLAGS += -msse -ffast-math
endif

EXTRA_CFLAGS += -I ../../pd

dspsrc  := $(wildcard *.dsp)
cppsrc  := $(dspsrc:.dsp=.cpp)
mods	:= $(dspsrc:%.dsp=%~$(DLL))
svg 	:= $(dspsrc:.dsp=.svg)
xml 	:= $(dspsrc:.dsp=.dsp.xml)
pd 	:= $(dspsrc:.dsp=.pd)
libs    := $(wildcard *.lib)

ARCH     = puredata.cpp
#FAUST2PD = faust2pd
FAUST2PD = ../../faust2pd
# faust2pd options (the -s forces additional number controls for each slider)
# a number of other options are supported, run faust2pd -h for help
F2PDFLAGS = -s

all: $(mods) $(pd)

cpp: $(cppsrc)

svg: $(svg)

xml: $(xml)

%~$(DLL): %.cpp
	$(CXX) $(shared) $(EXTRA_CFLAGS) $(CFLAGS) -Dmydsp=$(@:%~$(DLL)=%) $< -o $@ $(PDLIB)

%.cpp: %.dsp
	faust $(VEC) -a $(ARCH) $< -o $@

%.svg: %.dsp
	faust -svg $< -o /dev/null >/dev/null

%.dsp.xml: %.dsp
	faust -xml $< -o /dev/null

# synths

NVOICES = 2

organ.pd: organ.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) -n $(NVOICES) $<

subtractive.pd: subtractive.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) -n $(NVOICES) $<

karplusplus.pd: karplusplus.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) -n $(NVOICES) $<

# other dsps (effect units)

%.pd: %.dsp.xml
	$(FAUST2PD) $(F2PDFLAGS) $<

clean:
	rm -f $(mods) *~ *.a *.o

distclean:
	rm -f $(mods) $(cppsrc) *~ *.a *.o

clean-cpp:
	rm -f $(cppsrc)

clean-xml:
	rm -f $(xml)

clean-pd:
	rm -f $(pd)

clean-svg:
	rm -rf *-svg

realclean:
	rm -f $(mods) $(cppsrc) $(xml) $(pd) *~ *.a *.o
	rm -rf *-svg

=== debian/changelog ===
faust2pd (2.8-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:31:36 +0200

faust2pd (2.7-2) trusty; urgency=low

  * Pass the -mcpu=generic option to llc when batch-compiling Pure
    scripts, to prevent illegal instructions depending on the build host's
    cpu type.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 09:53:18 +0200

faust2pd (2.7-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Sat, 13 Sep 2014 23:08:45 +0200

faust2pd (2.5-3) natty; urgency=low

  * Dependency fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 01:00:28 +0200

faust2pd (2.5-2) natty; urgency=low

  * Add missing build dependency llvm

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 25 May 2012 07:46:14 +0200

faust2pd (2.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 21:36:49 +0200

=== debian/control ===
Source: faust2pd
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pure-xml, puredata, faust
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: faust2pd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pure-xml
Description: Generate Pd GUI abstractions from Faust programs
 faust2pd is a little utility to generate "graph-on-parent" GUI abstractions
 from programs written in Faust, Grame's functional signal processing
 language. This makes it easier to use Faust signal processing units with
 Miller Puckette's Pure Data (Pd).

Package: faust2pd-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generate Pd GUI abstractions from Faust programs
 faust2pd is a little utility to generate "graph-on-parent" GUI abstractions
 from programs written in Faust, Grame's functional signal processing
 language. This makes it easier to use Faust signal processing units with
 Miller Puckette's Pure Data (Pd).
 .
 This package contains some helper abstractions to be used with Pd, and a
 collection of faust2pd examples.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/faust2pd-(.*)\.tar\.gz
